//https://uiverse.io/cssbuttons-io/stupid-impala-51
// src/components/Common/buttons/CancelButton.js

import React from 'react';
import PropTypes from 'prop-types';
import '../../../styles/buttons/CancelButton.css'; // Ensure this file imports the button styles

const CancelButton = ({ label, onClick }) => {
    return (
        <button className="noselect" type="button" onClick={onClick}>
            <span className="text">{label}</span>
            <span className="icon">
                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24">
                    <path d="M24 20.188l-8.315-8.209 8.2-8.282-3.697-3.697-8.212 8.318-8.31-8.203-3.666 3.666 8.321 8.24-8.206 8.313 3.666 3.666 8.237-8.318 8.285 8.203z"></path>
                </svg>
            </span>
        </button>
    );
};

CancelButton.propTypes = {
    label: PropTypes.string.isRequired,
    onClick: PropTypes.func.isRequired,
};

export default CancelButton;
